Kling Image 3.0 Omni
kling-v3-omni-image
Kirin V3 Omni Image multimodal image generation interface, supports text, image and custom elements as multimodal inputs.
Эндпоинты
Заголовок раздела «Эндпоинты»POST /v1/queue/kling-v3-omni-image # Создать задачуGET /v1/queue/kling-v3-omni-image/requests/{request_id}/status # Проверить статусGET /v1/queue/kling-v3-omni-image/requests/{request_id}/response # Получить результатPUT /v1/queue/kling-v3-omni-image/requests/{request_id}/cancel # Отменить задачуПараметры запроса
Заголовок раздела «Параметры запроса»curl --request 'POST' 'https://odirouter.ai/model/v1/queue/kling-v3-omni-image' \ --header 'Authorization: Bearer YOUR_API_KEY' \ --header 'Content-Type: application/json' \ --location \ --data-raw '{ "prompt": "A beautiful sunset landscape painting in impressionist style", "image_list": [ { "image": "https://www.gstatic.com/webp/gallery/2.jpg" } ], "resolution": "1k", "n": 1, "aspect_ratio": "1:1"}'prompt string required
Заголовок раздела «prompt string required»Text prompt, can include positive and negative descriptions. You can template prompts to meet different image generation needs. Max 2500 characters
Image O3 model can achieve various capabilities through Prompt with images and other content, use <<<>>> format to specify an image, e.g., <<<image_1>>>
image_list array
Заголовок раздела «image_list array»Reference image list
Supports Base64 encoded image or image URL (ensure accessibility)
Image requirements:
Format: .jpg, .jpeg, .png
File size: max 10MB
Dimensions: min 300px for width and height
Aspect ratio: between 1:2.5 ~ 2.5:1
Quantity limits:
The total number of reference subjects and reference images must not exceed 10
image parameter value cannot be empty
Format as key:value pairs:
"image_list": [ { "image": "image_url" }, { "image": "image_url" }]image
Заголовок раздела «image string required»stringrequiredImage URL or Base64 data
element_list array
Заголовок раздела «element_list array»Subject reference list, configured based on subject ID from subject library
To create a subject, refer to: kirin_custom_elements
Quantity limits:
The total number of reference subjects and reference images must not exceed 10
Format as key:value pairs:
"element_list": [ { "element_id": long }]element_id
Заголовок раздела «element_id integer»integerSubject ID from subject library
resolution string
Заголовок раздела «resolution string»Image generation resolution
Options: 1k, 2k, 4k
Default: 1k
result_type string
Заголовок раздела «result_type string»Single image/series image generation toggle
Options: single, series
Default: single
n integer
Заголовок раздела «n integer»Number of images to generate
Range 1 to 9
When result_type parameter is series, this parameter is invalid
Default: 1
Range: 1 - 9
series_amount integer
Заголовок раздела «series_amount integer»Number of images in series generation
When result_type parameter is single, this parameter is invalid
Default: 4
Range: 2 - 9
aspect_ratio string
Заголовок раздела «aspect_ratio string»Image aspect ratio (width:height)
When referencing original image aspect ratio for new image generation, this parameter is invalid
Options: 16:9, 9:16, 1:1, 4:3, 3:4, 3:2, 2:3, 21:9, auto
Default: auto
watermark_info array
Заголовок раздела «watermark_info array»Whether to generate results with watermarks simultaneously
Defined via the enabled parameter
Custom watermarks are not currently supported
Format as key:value pairs:
"watermark_info": { "enabled": boolean}enabled
Заголовок раздела «enabled boolean»boolean
truefor generation,falsefor no generation
callback_url string
Заголовок раздела «callback_url string»Callback notification address for this task result. If configured, the server will actively notify when the task status changes
external_task_id string
Заголовок раздела «external_task_id string»Custom task ID
User-defined task ID, will not overwrite the system-generated task ID when provided, but supports task query via this ID
Please note that uniqueness must be ensured under a single user
Параметры ответа
Заголовок раздела «Параметры ответа»{ "request_id": "task_01hxyz...", "response_url": "https://odirouter.ai/model/v1/queue/kling-v3-omni-image/requests/task_01hxyz.../response", "status_url": "https://odirouter.ai/model/v1/queue/kling-v3-omni-image/requests/task_01hxyz.../status", "cancel_url": "https://odirouter.ai/model/v1/queue/kling-v3-omni-image/requests/task_01hxyz.../cancel", "queue_position": 0}| Поле | Тип | Описание |
|---|---|---|
request_id | string | Идентификатор задачи для последующей проверки статуса, получения результата и отмены. |
response_url | string | URL для получения итогового результата. |
status_url | string | URL для проверки статуса задачи. |
cancel_url | string | URL для отмены задачи. |
queue_position | int | Текущая позиция в очереди. |